org.apache.cassandra.io.compress

## Class CompressionMetadata.Chunk

- java.lang.Object
- - org.apache.cassandra.io.compress.CompressionMetadata.Chunk

- Enclosing class:
    CompressionMetadata

      public static class CompressionMetadata.Chunk
      extends java.lang.Object

  Holds offset and length of the file chunk

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `length`
    `long` | `offset`
    `static IVersionedSerializer<CompressionMetadata.Chunk>` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chunk(long offset, int length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IVersionedSerializer<CompressionMetadata.Chunk> serializer

    - #### offset

          public final long offset

    - #### length

          public final int length

  - ### Constructor Detail

    - #### Chunk

          public Chunk(long offset,
                       int length)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation